export default class Intro extends Phaser.Scene {
  private _play: Phaser.GameObjects.BitmapText;

  constructor() {
    super({
      key: "Intro",
    });
  }

  preload() {}

  create() {

    this.add.text(this.game.canvas.width / 2, 200, "HELLO GAME", {fontSize:"60px",color:"0x000000"}).setOrigin(.5)

    this._play = this.add
      .bitmapText(640, 550, "arcade", "PLAY")
      .setAlpha(1)
      .setOrigin(0.5)
      .setInteractive()
      .setDepth(100)
      .setTint(0xff8200)

      .on("pointerup", () => {
        this._play.removeInteractive();
        this.startGame();
      })
      .on("pointerover", () => {
        this._play.setTint(0xff0000);
      })
      .on("pointerout", () => {
        this._play.setTint(0xff8200);
      });
    
  }


  startGame() {
  
      this.scene.stop("Intro");
      this.scene.start("GamePlay");
      this.scene.start("Hud");
      this.scene.bringToTop("Hud");
      if (this.sys.game.device.input.touch) {}
  }

  update(time: number, delta: number) {
    
  }

}

